@import url('https://fonts.googleapis.com/css2?family=Elms+Sans:ital,wght@0,100..900;1,100..900&family=Modak&display=swap');
:root{
  --primary: #051d36;
  --primary-bg:#e3e5e9;
  --secondary:#324eb1;
  --accent:#e31826;
}
*,*::before,*::after{
  margin:0;
  padding:0;
}

/* Grid layout using CSS grid */
body{
  /* Body CSS goes here*/
  font-family: "Elms Sans", sans-serif;
  color:var(--primary);
  background:var(--primary-bg);
  max-width:1200px;
  margin:0 auto;
  padding:1rem 0;
  display:grid;
  gap:1rem;
  grid-template-columns: 1fr 3fr 1fr;
  grid-template-rows:10dvh calc(80dvh - 4rem) 10dvh;
  grid-template-areas:
    "header header header"
    "aside main side-nav"
    "footer footer footer";
  @media(max-width:1200px){
    grid-template-columns:3fr 1fr;
    grid-template-rows: 10dvh calc(40dvh - 3rem) calc(40dvh - 2rem) 10dvh;
    grid-template-areas:
    "header header"
    "main aside"
    "main side-nav"
    "footer footer";
  }
  @media(max-width: 800px){
    grid-template-columns:1fr;
    grid-template-rows:auto;
    grid-template-areas:
    "header"
    "main"
    "aside"
    "side-nav"
    "footer";
  }
}

/* Just to display borders for visibility */
header, aside, main, #side-nav, footer{
  border:thick double var(--secondary);
  padding: 1rem;
}
/* Grid areas */
header{  
  grid-area: header;
  display:flex;
  justify-content:space-between;
  align-items:center;
  & ul{    
    display:flex;
    gap:1rem;
  }
  & ul li{
    list-style-type:none;
    padding:0;
  }
  & a, a:hover, a:active{
    padding:0.5rem 1rem;
    border-radius:10px;
    text-decoration:none;
    text-transform: uppercase;
    background: var(--primary);
    color:var(--primary-bg);
  }
  @media(max-width: 650px){
    flex-direction:column;
    justify-content:center;
    gap:0;
    & ul {
      flex-wrap:wrap;
      justify-content:center;
    }
    & li {
      margin-top: 1rem;
    }
  }
}

aside{
  grid-area:aside;
}

main{
  grid-area:main;
  overflow-y:scroll;
  scrollbar-color: var(--secondary) var(--primary-bg);
  scrollbar-width: thin;
  @media (max-width:800px){
    overflow:auto;
  }
}

#side-nav{
  grid-area:side-nav;
  & ul{
    padding:0;
  }
  & ul li{
    padding:0;
    margin:1rem;
    list-style-type:none;
  }
  & a, a:hover, a:active{
    text-decoration:none;
    padding: 0.25rem 1rem;
    border-radius:10px;
    background: var(--primary);
    text-transform:uppercase;
    color:var(--accent);
  }
}
footer{
  grid-area:footer;
  display:flex;
  justify-content:center;
  align-items:center;
  & a, a:hover, a:active{
    text-decoration:none;
    color:var(--secondary);
  }
}